summaryrefslogtreecommitdiff
path: root/release/src/router/busybox/testsuite/mount.tests
diff options
context:
space:
mode:
Diffstat (limited to 'release/src/router/busybox/testsuite/mount.tests')
-rwxr-xr-xrelease/src/router/busybox/testsuite/mount.tests35
1 files changed, 35 insertions, 0 deletions
diff --git a/release/src/router/busybox/testsuite/mount.tests b/release/src/router/busybox/testsuite/mount.tests
new file mode 100755
index 00000000..5374ecbd
--- /dev/null
+++ b/release/src/router/busybox/testsuite/mount.tests
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Copyright 2007 by Denys Vlasenko <vda.linux@googlemail.com>
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+test "`id -u`" = 0 || {
+ echo "SKIPPED: must be root to test this"
+ exit 0
+}
+
+dd if=/dev/zero of=mount.image1m count=1 bs=1M 2>/dev/null || exit 1
+mkfs.minix -v mount.image1m >/dev/null 2>&1 || exit 1
+testdir=$PWD/testdir
+mkdir $testdir 2>/dev/null
+umount -d $testdir 2>/dev/null
+
+# testing "test name" "command" "expected result" "file input" "stdin"
+# file input will be file called "input"
+# test can create a file "actual" instead of writing to stdout
+
+testing "mount -o remount,mand" \
+"mount -o loop mount.image1m $testdir "\
+"&& grep -Fc $testdir </proc/mounts "\
+"&& mount -o remount,mand $testdir "\
+"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'" \
+ "1\n""1\n" \
+ "" ""
+
+umount -d $testdir
+rmdir $testdir
+rm mount.image1m
+
+exit $FAILCOUNT